This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 251194 - Deselecting GDM causes no *DM or First Boot to come up when KDM is installed
Deselecting GDM causes no *DM or First Boot to come up when KDM is installed
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-07 14:26 EDT by chris desjardins
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-07 15:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description chris desjardins 2007-08-07 14:26:34 EDT
Description of problem:
Deselecting GDM during DVD installation causes First Boot to not run and 
instead drops to login prompt.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Deselect GDM during installationg
  
Actual results:
Drops to login screen (i.e. no X)

Expected results:
I have KDE installed (and thus KDM) as I selected it during installation.  I 
would have expected KDM to boot up instead of GDM without issue.  The running 
of this wizard should not depend on whether or not GDM is installed.    

Additional info:
Comment 1 Ray Strode [halfline] 2007-08-07 14:34:54 EDT
So what's probably happening is you're ending up in runlevel 3.

Can you attach your /etc/inittab ?
Comment 2 Chris Lumens 2007-08-07 14:45:21 EDT
This is expected behavior, as we only set the default runlevel to 5 if gdm is
installed.  So the question here is whether we should change that check to be
more permissive.
Comment 3 Chris Lumens 2007-08-07 15:13:47 EDT
This will be fixed in the next build of anaconda.

Note You need to log in before you can comment on or make changes to this bug.